<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>

<fmt:message key="vmlabs" var="vmlabs"/>
<c:set var="labMode" value="false" />
<c:set var="breadCrumbValues" value="" />
<c:if test='${param.labId ne null }'>
	<c:set var="breadCrumbValues" value="${vmlabs }:vmlabs" />
	<c:set var="labMode" value="true" />
</c:if>
<c:set var="vmPageHeader" value="My_VMs" />
<c:set var="enableCProv" value="false" />
<c:if test="${requestScope.enableCProv == true && labMode == false}">
	<c:set var="enableCProv" value="true" />
	<c:set var="vmPageHeader" value="My_VMs_Containers" />	
</c:if>
<jsp:include page="../common/header.jsp">
	<jsp:param value="${vmPageHeader}" name="title" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/templatestyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/css/vmprov.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/css/smart_wizard_vertical.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="${vmPageHeader}" name="headerTitle" />
	<jsp:param value="true" name="includeTableSupport" />
	<jsp:param value="true" name="includeCustomSelect"/>
	<jsp:param value="true" name="includeHistory"/>
	<jsp:param value="${breadCrumbValues}" name="breadCrumbValues" />
</jsp:include>

<c:if test="${enableCProv eq true}">
	<div class="vmprov-header">
		<ul class="pageTabs">
			<li class="selected"><a href="${pageContext.request.contextPath}/vmprovisioning/index.jsp"><fmt:message key="summary.link.vms" /></a></li>
			<li><a href="${pageContext.request.contextPath}/cprov/index.jsp"><fmt:message key="Containers" /></a></li>
		</ul>	
	</div>
</c:if>

<%@ include file="../jobs/JobManager.jsp" %>
<div id="createvmdiv" class="add">
<span id="createvm" class="someLink"><span class="sprite icon-plus" style="vertical-align:bottom;"></span> <fmt:message key="vmprov.create" /></span>
</div>
<fmt:bundle basename="localization.messages">
<div id="laptopList">
	<script nonce="${sessionScope.cspNonce}" >jobs = []</script>
		<div class="sub-section">			
			<fmt:bundle basename="localization.VMProvisioningMessages">
			<div id="holder">
				
				<div id="virtualMachines" class="reportTable">	
					<div id="toolbar">
						<ul id="vmlistactions" class="vmactions">
							<li id="POWERON_VM" class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.start" />"><span class="sprite icon-play"></span></li>
			                <li id="PAUSE_VM" class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.suspend" />"><span class="sprite icon-pause"></span></li>
			                <li id="SHUTDOWN_VM" class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.stop" />"><span class="sprite icon-power"></span></li>
			                <li id="RESTART_VM"  class="multiplevmAction disabledActions vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.restart" />"><span class="sprite icon-restart"></span></li>
			                <li class="separator separator-1 disabledActions">|</li>
			                <li id="RDP_VM" class="disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.rdp.tooltip" />"><a id="rdpButton" href=""><span class="sprite icon-remote-desktop"></span></a></li>
			                <li id="DELETE_VM" class="multiplevmAction disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.delete" />"><span class="sprite icon-delete"></span></li>			                
			                <c:if test="${labMode ne true }">
				                <li id="RENEW_VM" class="disabledActions vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.renew" />"><span class="sprite icon-renew"></span></li>
			                </c:if>
		        	</ul>
					<div class="clearFloat"></div>	
				</div>
		        	<div class="rptTblBtnEncDiv">
			        	<div id="virtualMachines_holder" class="columnEditor dynamicDropDown hideOnExportFriendly">
									<input id="virtualMachines_Button" class="AddorRemoveCols " type="button"	value="" title="<fmt:message key="AddRemoveCols"/>" />
										<ul id="virtualMachines_Colums" class="reportColums_container"></ul>
						</div>
		       			<div id="virtualMachines_Filter" class="reports_Filter">
										<input id="virtualMachines_FilterButton" class="tableFilter" type="button" value=""  title="<fmt:message key="filter"/>" />
										<input type="hidden" id="virtualMachines_FilterSelected" />
						</div>
		        	</div>
					<table id="virtualMachines_table" class="display tablesorter"></table> 
					<div class="clearFloat"></div>
				</div>	
			</div>	
			</fmt:bundle>
			
		</div>	
</div>
</fmt:bundle>
<div style="display:none;">
	<div id="vmDialog" title="Create New Virtual Machine">
		<%@ include file="createvm.jsp" %>
	</div>	
	<fmt:bundle basename="localization.VMProvisioningMessages">
	<div id="renewDialog" title="Renew Virtual Machine">
		<label for="newexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
		<input style="position: relative; z-index: 9999;" class="datepicker" name="newexpirationdate" id="newexpirationdate" type="text" />
		<span id="extenExpirationByHour" style="Display: none"><fmt:message key="vmDetails.label.Hours" /></span>		
	</div>
	</fmt:bundle>
</div>
	<c:if test="${not empty sessionScope.LOCALIZED_ERROR_MSG}">
	<script nonce="${sessionScope.cspNonce}" >
		cvUtil.errorToast('${sessionScope.LOCALIZED_ERROR_MSG}');
	</script>
	<c:set var="LOCALIZED_ERROR_MSG" value="" scope="session" />
</c:if>
<script nonce="${sessionScope.cspNonce}" >
var localMsg = localMsg || {};
<c:set var="locale" value="${pageContext.request.locale}" />
${cv:jsLocalize("localMsg", "localization.VMProvisioningJSMessages", null)};
${cv:jsLocalize("localMsg", "localization.VMProvisioningMessages", null)};
</script>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/underscore.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmprov.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmlist.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/createvm.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmvalidation.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/slider.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/js/jquery.smartWizard.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/> 
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/encoder.js" name="js"/>
</jsp:include>