	<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
	<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/webenhance.tld" prefix="wae"%>

<fmt:bundle basename="localization.ClientDetailsMessages">
<fmt:message key="clientDetails.label.myBackups" var="myBackups"/>
</fmt:bundle>
<fmt:message key="vmlabs" var="vmlabs"/>
<fmt:bundle basename="localization.VMProvisioningMessages">
<fmt:message key="My_Virtual_Machines" var="myVirtualMachines"/>
<c:set var="locale" value="${pageContext.request.locale}" />
<c:set var="vm" value="${requestScope.VM_DETAIL}" />
<c:set var="REQUEST_SOURCE" value="${sessionScope.source}" />
<c:if test='${REQUEST_SOURCE ne "VSPHERE_PLUGIN"}'>
	<c:set var="connString" value="${vm.formattedConnectionString}" />
	<c:choose>
		<c:when test="${vm.advancedProperties.userName eq null or empty vm.advancedProperties.userName}">
			<c:set var="connUser" value="administrator" />
		</c:when>
		<c:otherwise>
			<c:set var="connUser" value="${vm.advancedProperties.userName}" />
		</c:otherwise>
	</c:choose>

	<wae:out escapeXml="false">
		<c:if test="${vm.osType.enumValue ne 2 and not vm.deleted}">
			<c:url value="../getRdpFile.do" var="rdpurl"  scope="request" >
						<c:param name="server" value="${connString}" />
						<c:param name="vmName" value="${vm.vm.vmName }" />
						<c:param name="user" value="${connUser}" />
			</c:url>
		</c:if>
	</wae:out>
	<c:set var="breadCrumbValues" value="" />
	<c:if test='${param.source eq "vmlabs" }'>
    	<c:set var="breadCrumbValues" value="${vmlabs }:vmlabs,${fn:escapeXml(param.labName)}:vmprovisioning?labId=${fn:escapeXml(param.labId)}&labName=${fn:escapeXml(param.labName)}" />
    </c:if>
	<c:if test='${param.source eq "vmprov" }'>
		<c:set var="breadCrumbValues" value="${myVirtualMachines }:vmprovisioning" />
	</c:if>
	<c:if test='${param.source ne "vmprov" &&  param.source ne "vmlabs"}'>
		<c:set var="breadCrumbValues" value="${myBackups }:summary" />
	</c:if>
	<c:set var="headerTitleLocalized" value="&nbsp;${requestScope.VM_DISPLAY_NAME}" />
	<c:set var="refreshButton" value="${not vm.deleted}" />
</c:if>
<jsp:include page="../common/header.jsp">
	<jsp:param value="${refreshButton }" name="refreshButton" />
	<jsp:param value="${pageContext.request.contextPath}/clientDetails/css/summarystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/css/vmprov.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/css/smart_wizard_vertical.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/dynatree/ui.dynatree.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="VM_Details" name="title" />
	<jsp:param value="true" name="includeJqueryUI" />
	<jsp:param value="true" name="includeHistory" />
	<jsp:param value="${headerTitleLocalized }" name="headerTitleLocalized" />
	<jsp:param value="${breadCrumbValues}" name="breadCrumbValues" />
	<jsp:param value="true" name="includeCustomSelect"/>
	<jsp:param value="true" name="includeTableSupport" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
</jsp:include>

	<%@ include file="../jobs/JobManager.jsp" %>
	<%@ include file="../jobs/jobsTemplate.jsp" %>

<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	${cv:jsLocalize("localMsg", "localization.VMProvisioningJSMessages", null)};
	${cv:jsLocalize("localMsg", "localization.VMProvisioningMessages", null)};

	<fmt:bundle basename="localization.ClientDetailsMessages">
		<cv:localMsg name="titleLabel"><fmt:message key="currentStatus.label.currentRestoreStatus" /></cv:localMsg>
	</fmt:bundle>
	$(document).ready(function() {	
		var rdpUrl;
		<wae:out escapeXml="false">
			rdpUrl = '${rdpurl}';
	  	</wae:out>
		if(!!rdpUrl){
			$("#headerRdpButton").removeClass("hidden");
			$("#headerRdpButton a").attr("href", rdpUrl);
		}else{
			$("#headerRdpButton").addClass("hidden");
		}
	});


</script>



<c:set var="contentClass" value="VMWARE"></c:set>
<c:if test="${vm.vendor ne ''}">
<c:set var="contentClass" value="${vm.vendor}"></c:set>
</c:if>

	<div id="vmcontents" class="sub-section ${contentClass}">
		<jsp:include page="vmDetailContents.jsp"></jsp:include>
	</div>
		<div style="display:none;">
			<div id="renewDialog" title="Renew Virtual Machine">
			<label for="newexpirationdate"><fmt:message key="vmDetails.label.Expiration" /></label>
			<input style="position: relative; z-index: 9999;" class="datepicker" name="newexpirationdate" id="newexpirationdate" type="text" />
			<span id="extenExpirationByHour" style="Display: none"><fmt:message key="vmDetails.label.Hours" /></span>
			</div>
		</div>
		<div style="display:none;">
			<div id="cloneDialog" title="Clone Virtual Machine">
				<form id="clonevmForm" method="post" action="clonevm">
					<input type="hidden" name="clientId" value="${vm.vm.clientId}"/>
					<input type="hidden" name="clientName" value="${vm.vm.clientName}"/>
					<div id="clonemarkup"></div>
				</form>
			</div>
		</div>

		<div style="display:none;">
			<div id="editDialog" title="Edit Virtual Machine">
				<form id="editvmForm" method="post" action="updatevm">
					<input type="hidden" name="clientId" value="${vm.vm.clientId}"/>
					<input type="hidden" name="clientName" value="${vm.vm.clientName}"/>
					<input type="hidden" name="operation" value="EDIT_VM"/>
					<div id="editmarkup"></div>
				</form>
			</div>
			<div id="chooseEditDialog" title="Edit Virtual Machine" >
			<fmt:message key="vmDetails.actions.powerCycleVM" />
			</div>
		</div>

		<div style="display:none;">
			<div id="recoverVMDialog">
				<div id="recoverVMDialogContent">
					<label class="label-recover-vm"><fmt:message key="vmDetails.dialog.New_VMName" /></label>
					<input type="text" id="newVMName" maxlength="100"  /> <br/>
				</div>
			</div>
		</div>

		<div style="display:none;">
			<div id="newSnapDialog" title="Create Snapshot">
				<form id="snapForm">
					<label for="snapName"><fmt:message key="name" /></label>
					<input class="input_field_12em"  name="snapName" type="text" id="snapNameField"/>
					<c:if test="${vm.vendor eq 'AMAZON' }">
						<label for="volumeList"><fmt:message key="volume" /></label>
						<select id="volumeList"></select>
					</c:if>
					<label for="snapDescription" class='snap-desc'><fmt:message key="description" /></label>
					<textarea rows="2" cols="20" name="snapDescription" class='snap-desc'></textarea>
				</form>
			</div>

			<div id="usersDialog" title="Create Snapshot">
					<label for="userName"><fmt:message key="Add_New_User" /></label>
					<input class="input_field_12em"  name="userName" />
					<label for="snapDescription"><fmt:message key="Existing_Users" /></label>
					<ul>

					</ul>
			</div>

			<div id="viewSnapDialog" title="Snapshots">
			<span>
				<span id="noSnapshots"><fmt:message key="No_snapshot_available" /></span>
				<ul class="snapactions rghtFloat">
					<c:if test="${vm.vendor ne 'AMAZON' }">
						<li id="treeView" class="dummyicon" title="<fmt:message key="Tree" />"><span class="sprite icon-treeview"></span></li>
		                <li id="tableView" class="dummyicon" title="<fmt:message key="Grid" />"><span class="sprite icon-tableview"></span></li>
					</c:if>
				</ul>
				</span>
				<c:if test="${vm.vendor ne 'AMAZON' }">
					<div id="treePanel" class="subsec-body clientDetails">
						<div class="backup" id="snapshotsTree">  </div>
						<div class="restore" id="snapshotDetails">
						<ul class="blockrows">
							<li class="infotype">Name:</li>
							<li class="infodesc" id="snapName"></li>
							<li class="infotype">Description:</li>
							<li class="infodesc" id="snapDesc"></li>
							<li class="infotype">Creation Time:</li>
							<li class="infodesc" id="snapTime"></li>
						</ul>
						</div>
						<div style="clear: both;"></div>
					</div>
				</c:if>
				<form>
				<div id="tablePanel" class="clearFloat reportTable">
					<table id="snapshotsTable" width="100%">
					<thead>
						<tr class="secrowhead secrows">
						<th></th>
						<th><fmt:message key="name" /></th>
						<th><fmt:message key="description" /></th>
						<th><fmt:message key="creationTime" /></th>
						</tr>
					</thead>
					<tbody></tbody>
					</table>
				</div>
				</form>
			</div>
			<div id="liveMountDialog" title='<fmt:message key="vmDetails.actions.livemount" />'>
				<form id="liveMountForm" method="post" action="livemountvm">
					<input type="hidden" name="clientId" value="${vm.vm.clientId}"/>
						<input type="hidden" name="clientName" value="${vm.vm.clientName}"/>
						<input type="hidden" name="operation" value="LIVE_MOUNT"/>
					<div id="livemountmarkup"></div>
				</form>
			</div>
		</div>

<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/underscore.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmprov.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/slider.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/editvm.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmvalidation.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/vmdetail.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/vmprovisioning/js/livemount.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/smartwizard/js/jquery.smartWizard.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/dynatree/jquery.dynatree.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/encoder.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>
	<jsp:param value="../common/js/moment.js" name="js" />
</jsp:include>
</fmt:bundle>