	<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
	<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/webenhance.tld" prefix="wae"%>

<c:if test='${param.labId ne null }'>
	<c:set var="labMode" value="true" />
</c:if>
<c:set var="paramSource" value="${fn:escapeXml(param.source)}" />
<fmt:bundle basename="localization.VMProvisioningMessages">
			<c:set var="locale" value="${pageContext.request.locale}" />

			<c:set var="vm" value="${requestScope.VM_DETAIL}" />
			<c:set var="disabledVMOps" value="${sessionScope.disabledVMOps}" />
			<c:set var="disableVendorCol" value="${sessionScope.disableVendorCol}" />
   		  	<c:if test="${noPermissionstoViewBackup }">
   		  		<c:set var="fullWidth" value="fullWidth" />
   		  	</c:if>
			<c:set var="powerops" value="true" />
	  		<div class="subsec-body clientDetails ${fullWidth }">
	  		<c:if test='${sessionScope.source ne "VSPHERE_PLUGIN" and not vm.deleted}'>
	  			<c:set var="vmDetailsAvailable" value="true" />
				<div class="backup">
				<ul class="vmactions">
					<c:if test="${powerops == 'true' }">
						<li id="POWERON_VM" class="vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.start" />"><span class="sprite icon-play-large"></span></li>
		                <li id="PAUSE_VM" class="vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.suspend" />"><span class="sprite icon-pause-large"></span></li>
		                <li id="SHUTDOWN_VM" class="vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.stop" />"><span class="sprite icon-power-large"></span></li>
		                <li id="RESTART_VM"  class="vmaction dummyicon ag1" title="<fmt:message key="vmDetails.actions.restart" />"><span class="sprite icon-restart-large"></span></li>
		                <li class="separator separator-1">|</li>
		                <li id="EDIT_VM" class="vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.edit" />"><span class="sprite icon-edit-large"></span></li>
		                <li id="DELETE_VM" class="vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.delete" />"><span class="sprite icon-delete-large"></span></li>
					</c:if>
	                <c:if test="${labMode ne true }">
		                <li id="RENEW_VM" class="vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.renew" />"><span class="sprite icon-renew-large"></span></li>
		                <li id="CLONE_VM" class="vmaction dummyicon ag2" title="<fmt:message key="vmDetails.actions.clone" />"><span class="sprite icon-clone-large"></span></li>
	                </c:if>
	                <c:if test="${powerops == 'true' }">
						<li class="separator separator-2">|</li>
		                <li id="SNAPSHOT_VM" class="vmaction dummyicon ag3" title="<fmt:message key="vmDetails.actions.createsnapshot" />"><span class="sprite icon-snapshot-create-large"></span></li>
		                <li id="VIEW_SNAPSHOTS" class="vmaction dummyicon ag3" title="<fmt:message key="vmDetails.actions.viewsnapshots" />"><span class="sprite icon-snapshot-view-large"></span></li>
		                <li id="RESTORE_SNAP_VM" class="vmaction dummyicon ag3" title="<fmt:message key="vmDetails.actions.reverttocurrentsnapshot" />"><span class="sprite icon-snapshot-restore-large"></span></li>
	                </c:if>
        		</ul>
        		<div id="progBackup">
        			<span class="operation_label"><fmt:message key="Operation" />:  </span><span class="operation_value"></span>
        			<div class="progress" id="snapProgress"><div class="progressPercent"></div></div>
        		</div>
				<ul class="blockrows">
					<li class="infotype"><fmt:message key="vmDetails.label.State" /></li>
					<fmt:bundle basename="localization.VMProvisioningJSMessages">
						<li id="vmstate" class="infodesc"><fmt:message key="${vm.vmState}" /></li>
					</fmt:bundle>
					<li class="infotype"><fmt:message key="vmDetails.label.IPAddress" /></li>
					<c:choose>
						<c:when test="${vm.advancedProperties.connectionString eq null or empty vm.advancedProperties.connectionString}">
							<li class="infodesc">${vm.ipAddress.address}</li>
						</c:when>
						<c:otherwise>
							<li class="infodesc">${vm.advancedProperties.connectionString}</li>
						</c:otherwise>
					</c:choose>
					<li class="infotype"><fmt:message key="vmDetails.label.OS" /></li>
					<li class="infodesc">${vm.operatingSystem}</li>
					<c:if test="${disableVendorCol == null or disableVendorCol == false}">
						<li class="infotype"><fmt:message key="Vendor" /></li>
						<li class="infodesc">${vm.colVendor}</li>
					</c:if>

					<c:if test="${vm.enableRenew == true}">
						<li class="infotype"><fmt:message key="vmDetails.label.Expiration" /></li>
						<li id="vmexpiration" class="infodesc">${vm.formattedExpirationTime}</li>
					</c:if>

					<li class="infotype"><fmt:message key="vmDetails.label.Creator" /></li>
					<li class="infodesc" id="creator-name-li">
						<span class="creatorName-span">
							<span id="creatorName">${vm.creator.userName}
							</span>
							<c:if test="${sessionScope.enableCreatorEdit eq true}">
								<span id="enable-edit-creator-btn" class="vm-btn" title='<fmt:message key="vmDetails.editCreator" />'><span class="sprite icon-edit" ></span></span>
							</c:if>
						</span>
						<c:if test="${sessionScope.enableCreatorEdit eq true}">
							<span class="edit-creator hide">
								<input id="edit-creator-input" type="text" size="10">
								<span class="buttons edit-creator-btns">
									<span id="save-creator-btn" class="vm-btn"><span class="sprite icon-save" ></span></span>
									<span id="cancel-creator-btn" class="vm-btn"><span class="sprite icon-cancel"></span> </span>
								</span>
							</span>
						</c:if>
					</li>
					<c:if test="${vm.vendor ne 'AZURE_V2'}">
						<li class="infotype"><fmt:message key="vmDetails.label.VMHost" /></li>
						<li class="infodesc">${vm.vmHost}</li>
					</c:if>
					<li class="infotype"><fmt:message key="description" /></li>
					<li class="infodesc">${vm.purpose}</li>
					<li class="infotype"><fmt:message key="Shared_Users" />:</li>
					<li class="infodesc"><span id="ownersText">${vm.ownerList} &nbsp;</span>
						<c:if test='${vm.userMgmtCapability}'>
							<a class="vmaction" id="OWNERS_VM" href="#">[<fmt:message key="Share_Virtual_Machine" />]</a>
						</c:if>
					</li>
				</ul>
				<hr class="blockline"/>
				<c:choose>
						<c:when test="${vm.vendor eq 'AMAZON'}">
							<ul class="blockrows amazon">
								<li class="infotype"><fmt:message key="vmDetails.label.instanceType" /></li>
								<li class="infodesc">${vm.instanceTypeEntity.vmInstanceTypeName}</li>
								<li class="infotype"><fmt:message key="vmDetails.label.Networks" /></li>
								<li class="infodesc">${vm.formattedNetworkLabels}</li>
								<li id="multipleDiskDetails"></li>
							</ul>
						</c:when>
						<c:when test="${vm.vendor eq 'ORACLE_CLOUD'}">
							<ul class="blockrows oracle-cloud">
								<li class="infotype"><fmt:message key="vmWizard.label.shape" />:</li>
								<li class="infodesc">${vm.instanceTypeEntity.vmInstanceTypeName}</li>
								<li id="multipleDiskDetails"></li>
							</ul>
						</c:when>
						<c:when test="${vm.vendor eq 'AZURE' or vm.vendor eq 'AZURE_V2' or vm.vendor eq 'AZURE_STACK'}">
							  	<ul class="blockrows azure">
									<li class="infotype"><fmt:message key="vmWizard.label.size" />:</li>
									<li class="infodesc">${vm.instanceTypeEntity.vmInstanceTypeName}</li>
									<li class="infotype"><fmt:message key="vmDetails.label.Networks" /></li>
									<li class="infodesc">${vm.formattedNetworkLabels}</li>
									<li id="multipleDiskDetails"></li>
								</ul>
						</c:when>
						<c:otherwise>
							<ul class="blockrows noamazon">
							<li class="infotype"><fmt:message key="vmDetails.label.numCPU" /></li>
							<li class="infodesc">${vm.numberOfCPUs}</li>
							<li class="infotype"><fmt:message key="vmDetails.label.Memory" /></li>
							<li class="infodesc">${vm.formattedMemory} GB</li>
							<li class="infotype"><fmt:message key="vmDetails.label.numNics" /></li>
							<li class="infodesc">${vm.numberOfNICs}</li>
							<li class="infotype"><fmt:message key="vmDetails.label.Networks" /></li>
							<li class="infodesc">${vm.formattedNetworkLabels}</li>
							<li id="multipleDiskDetails"></li>
							</ul>
						</c:otherwise>
					</c:choose>
				<input type="hidden" name="vmInstanceTypeName" id="vmInstanceTypeName" value="${vm.instanceTypeEntity.vmInstanceTypeName}"/>
			</div>
			</c:if>
			<input type="hidden" name="vmVendor" id="vmVendor" value="${vm.vendor}" />
			<c:if test='${not vmDetailsAvailable and noPermissionstoViewBackup}'>
				Either this virtual machine is not backed up or you do not have permissions to view backup details of this virtual machine.
			</c:if>
			<c:if test='${not noPermissionstoViewBackup}'> <!-- if not nopermissionstoviewbackup then only proceed with shwoing browse and restore panels-->
			<fmt:bundle basename="localization.ClientDetailsMessages">
			<c:if test="${vm.entity.subclientId ne 0}">
				<cv:ifCapability name="any browse domainEndUser" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
					<c:set var="vmbrowseAvailable" value="true"/>
				</cv:ifCapability>
			</c:if>
			<c:if test="${not vmbrowseAvailable}">
				<c:if test="${vm.entity.subclientId eq 0 and vm.backupInfo ne null}">
					<cv:ifCapability name="any browse domainEndUser" appType="fileSystem" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
						<c:set var="fsbrowseAvailable" value="true"/>
					</cv:ifCapability>
				</c:if>
			</c:if>
			<!--  or -->
			<c:if test='${vmbrowseAvailable or fsbrowseAvailable or vm.isArchived or hasLiveMountPolicy}'>
			<div class="restore">
				<c:set var="browseRestoreAvailable" value="true" />

					<ul class="blockrows">
						<li class="blocktitle"><fmt:message key="clientDetails.label.restore" /></li>
					</ul>
			<c:if test='${vmbrowseAvailable or fsbrowseAvailable}'>
					<ul data-role="listview" class="blockrows">
						<c:if test="${vmbrowseAvailable}">
							<li class="infodesc"><a href="../browse/fsBrowse.do?source=${paramSource }&clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}&path=${'%5C'}${vm.vm.vmGUID}&applicationId=106&vmClientName=${vm.vm.clientName}&proxyClientId=${vm.proxyClient.clientId}&proxyClientName=${vm.proxyClient.clientName}&vmName=${vm.vm.vmName}" class="selectFiles"><fmt:message key="clientDetails.action.selectFiles" />&nbsp;<span class="filesLink">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></li>
							<c:if test='${vm.isFSInstalled}'>
							<li class="infodesc"><a href="${pageContext.request.contextPath}/clientDetails/${requestScope.JOBS_PAGE}?source=${paramSource }&clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}&type=restore&applicationId=106"><fmt:message key="clientDetails.label.recentRestoreJobs" /></a></li>
							</c:if>
						</c:if>
						<c:if test="${fsbrowseAvailable}">
							<li class="infodesc"><a href="../browse/fsBrowse.do?source=${paramSource }&clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}" class="selectFiles"><fmt:message key="clientDetails.action.selectFiles" />&nbsp;<span class="filesLink">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></li>
							<li class="infodesc"><a href="${pageContext.request.contextPath}/clientDetails/${requestScope.JOBS_PAGE}?clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}&type=restore"><fmt:message key="clientDetails.label.recentRestoreJobs" /></a></li>
						</c:if>
						<c:if test="${vm.entity.subclientId eq 0 and vm.backupInfo eq null}">
							<li class="infodesc"><a href="${pageContext.request.contextPath}/clientDetails/${requestScope.JOBS_PAGE}?source=${paramSource }&clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}&type=restore&applicationId=106"><fmt:message key="clientDetails.label.recentRestoreJobs" /></a></li>
						</c:if>
					</ul>
						<c:if test='${vm.isArchived or vmbrowseAvailable}'>
							<hr class="blockline"/>
						</c:if>
				</c:if>
						<ul class="blockrows">
								<fmt:setBundle var="vmprovBundle" basename="localization.VMProvisioningMessages" />

								<c:if test='${vm.isArchived}'>
									<li class="infodesc">
											<fmt:message bundle="${vmprovBundle }" key="vmDetails.plugin.archived" />
									</li>
								</c:if>
							<c:if test='${vmbrowseAvailable}'>
								<cv:ifCapability name="any FullRecoveryInPlace FullRecoveryOutOfPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
									<li id="RESTORE_VM" class="infodesc" title='<fmt:message bundle="${vmprovBundle }" key="vmDetails.plugin.recover" />'>
									<a href="" class="restoreaction selectFiles">
										<fmt:message key="vmDetails.plugin.recover" bundle="${vmprovBundle }" />
									</a>
									</li>
								</cv:ifCapability>
							</c:if>
									<c:if test='${hasLiveMountPolicy}'>
										<li id="LIVE_MOUNT" class="infodesc" title='<fmt:message bundle="${vmprovBundle }" key="vmDetails.actions.livemount" />'>
											<a href="" class="livemountaction selectFiles">
												<fmt:message key="vmDetails.actions.livemount" bundle="${vmprovBundle }" />
											</a>
										</li>
									</c:if>
						</ul>

						 <div id="restoreJobProg">
							<div id="jogProgHolder"></div>
						</div>

				</div>
				</c:if>
			<div class="alerts">
				<ul class="blockrows">
					<fmt:bundle basename="localization.messages">
						<fmt:message key="not.scheduled" var="notAvailable" />
					</fmt:bundle>


						<li class="infotype"><fmt:message key="clientDetails.label.lastBackup" /></li>
						<li class="infodesc" id="lastBackup">
							<c:if test="${vm.backupInfo eq null}">
								${notAvailable}
							</c:if>
							<c:if test="${vm.backupInfo ne null}">
								${vm.backupInfo.lastBackup}
							</c:if>
						</li>
						<li class="infotype"><fmt:message key="clientDetails.label.lastBackupSize" /></li>
						<li class="infodesc">${vm.backupInfo.size}</li>
						<li class="infotype"><fmt:message key="clientDetails.label.vmSize" /></li>
						<li class="infodesc">${vm.backupInfo.totalSize}</li>
						<li class="infotype"><fmt:message key="clientDetails.label.lastOnlineTime" /></li>
						<li class="infodesc" id="lastOnlineTime"></li>
						<li class="infotype"></li>
						<c:if test='${vm.isFSInstalled}'>
						<li class="infodesc"><a href="${pageContext.request.contextPath}/clientDetails/${requestScope.JOBS_PAGE}?source=${paramSource }&clientName=${vm.vm.clientName}&clientId=${vm.vm.clientId}&type=backup&applicationId=106"><fmt:message key="clientDetails.label.recentBackupJobs" /></a></li>
					 	</c:if>
				</ul>
				<hr class="blockline"/>
				<ul class="blockrows">
					<li class="infotype"><fmt:message key="clientDetails.label.nextBackup" /></li>
					<li class="infodesc" id="nextBackup">
						<c:if test="${vm.backupInfo.nextBackup eq null}">
									${notAvailable}
						</c:if>
						<c:if test="${vm.backupInfo.nextBackup ne null}">
							${vm.backupInfo.nextBackup}
						</c:if>
					</li>
					<li class="infotype"><fmt:message key="clientDetails.label.schedules" /></li>
					<c:forEach var="sched" items="${vm.backupInfo.schedules}">
						<li class="infodesc">
							${sched.description}
						</li>
						<li class="infotype"></li>
					</c:forEach>

				</ul>
			</div>
			</fmt:bundle>
			<c:if test='${vmDetailsAvailable ne "true"}'>
				<div class="borderedjobprogress backup" id="progBackup">
	        			<span class="operation_label"><fmt:message key="Operation" />: </span><span id="operationValue" class="operation_value"></span>
	        			<div class="progress" id="snapProgress"><div class="progressPercent"></div></div>
	        			<span class="operation_label" id="vmJobStatus">:</span> <span class="operation_value" id="vmJobStatusValue"></span>
	        	</div>
        	</c:if>
        	</c:if>		<!-- End of not nopermissionstoviewbackup -->
		</div>

	<c:set var="connString" value="${vm.formattedConnectionString}" />
	<c:choose>
		<c:when test="${vm.advancedProperties.userName eq null or empty vm.advancedProperties.userName}">
			<c:set var="connUser" value="administrator" />
		</c:when>
		<c:otherwise>
			<c:set var="connUser" value="${vm.advancedProperties.userName}" />
		</c:otherwise>
	</c:choose>


	<wae:out escapeXml="false">
		<c:url value="../getRdpFile.do" var="rdpurl"  scope="request" >
			<c:param name="server" value="${connString}" />
			<c:param name="vmName" value="${vm.vm.vmName }" />
			<c:param name="user" value="${connUser}" />
		</c:url>
	</wae:out>

	<%-- <jsp:include page="vmDetailInit.jsp?${applicationScope.BUILD_TS}"></jsp:include> --%>

	<script type="text/javascript" nonce="${sessionScope.cspNonce}" >
		$(document).ready(function() {
			vmProv.initDetailsValues = function() {
				<wae:out escapeXml="false">
					vmProv.rdpUrl = '${rdpurl}';
				</wae:out>
				vmProv.disabledVMOps = '${disabledVMOps}';
				var lastBackupDate = '${requestScope.VM_DETAIL.backupInfo.lastBackup}';
				var nextBackupDate = '${requestScope.VM_DETAIL.backupInfo.nextBackup}';
				var lastOnlineTime = '${requestScope.VM_DETAIL.backupInfo.lastOnlineTime}';
				$("#lastBackup").html(cvUtil.convertUnixTimeStampToDate(lastBackupDate, localMsg.dateNotAvailable));
				$("#nextBackup").html(cvUtil.convertUnixTimeStampToDate(nextBackupDate, localMsg.notScheduled));
				$("#lastOnlineTime").html(cvUtil.convertUnixTimeStampToDate(lastOnlineTime, localMsg.dateNotAvailable));

				<c:if test='${not noPermissionstoViewBackup}'>
				<c:set var="vm" value="${requestScope.VM_DETAIL}" />
					<c:if test="${vmbrowseAvailable}">
						<cv:ifCapability name="any FullRecoveryInPlace FullRecoveryOutOfPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
								<cv:ifCapability name="RestoreInPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
									vmProv.inplaceCapability = true;
								</cv:ifCapability>
								<cv:ifCapability name="RestoreOutOfPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
									vmProv.outofplaceCapability = true;
								</cv:ifCapability>
								<cv:ifCapability name="FullRecoveryInPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
									vmProv.inplaceFullRecoveryCapability = true;
								</cv:ifCapability>
								<cv:ifCapability name="FullRecoveryOutOfPlace" appType="virtualServer" clientName="${vm.vm.clientName}" clientId="${vm.vm.clientId}">
									vmProv.outofplaceFullRecoveryCapability = true;
								</cv:ifCapability>
						</cv:ifCapability>
					</c:if>
				</c:if>
			};
		});
	</script>
</fmt:bundle>
